Skip to main content
GET
/
v1
/
knowledge-base
/
ingestion-jobs
/
{job_id}
/
documents
List documents in an ingestion job
curl --request GET \
  --url https://api-sandbox.featherhq.com/v1/knowledge-base/ingestion-jobs/{job_id}/documents \
  --header 'x-api-key: <api-key>'
{
  "items": [
    {
      "document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "<string>",
      "version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "processing_stage": "<string>",
      "duplicate_of_document_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "duplicate_of_version_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "title": "<string>",
      "error_message": "<string>",
      "segment_count": 123,
      "processed_segments": 0,
      "pii_status": "<string>",
      "sensitivity": "<string>",
      "pii_coverage_status": "<string>",
      "pii_detection_count": 123,
      "started_at": "2023-11-07T05:31:56Z",
      "completed_at": "2023-11-07T05:31:56Z"
    }
  ],
  "has_more": true,
  "next_cursor": "<string>"
}

Authorizations

x-api-key
string
header
required

Path Parameters

job_id
string<uuid>
required

Query Parameters

limit
integer
default:50
Required range: 1 <= x <= 200
cursor
string | null

Response

Successful Response

items
IngestionJobDocumentResponse · object[]
required
has_more
boolean
required
next_cursor
string | null